#ifndef TIMEREPLICATOR_H
#define TIMEREPLICATOR_H

#include <QObject>

#include "device/DeviceBase.h"

class TimeReplicator : public DeviceBase
{
    Q_OBJECT
public:
    explicit TimeReplicator(QObject *parent = nullptr);
    ~TimeReplicator();

    void afterFramePhase(DeviceFrameBaseDto * frameDto);

signals:
    void sendDataToDraw(DeviceFrameBaseDto * frameData);

public slots:
    void dataReceivedHandler(QByteArray data);
};

#endif // TIMEREPLICATOR_H
